sccs-comb(1)

NAME
sccs-comb, comb - combine SCCS deltas

SYNOPSIS

/usr/ccs/bin/comb [-os] [-csid-list] [-psid] s.filename...

DESCRIPTION

comb generates a shell script (see sh(1)) that you can use to reconstruct the indicated s.files. This script is written to the standard output.

If a directory name is used in place of the s.filename argument, the comb command applies to all s.files in that directory. Unreadable s.files produce an error; processing continues with the next file (if any). The use of `-' as the s.filename argument indicates that the names of files are to be read from the standard input, one s.file per line.

If no options are specified, comb preserves only the most recent (leaf) delta in a branch, and the minimal number of ancestors needed to preserve the history.

OPTIONS

The following options are supported:

-o
    For each `get -e' generated, access the reconstructed file at the release of the delta to be created. Otherwise, the reconstructed file is accessed at the most recent ancestor. The use of -o may decrease the size of the reconstructed s.file. It may also alter the shape of the delta tree of the original file.

-s
    Generate scripts to gather statistics, rather than combining deltas. When run, the shell scripts report: the file name, size (in blocks) after combining, original size (also in blocks), and the percentage size change, computed by the formula:

    100 * ( original - combined ) / original

    This option can be used to calculate the space that will be saved, before actually doing the combining.

-csid-list
    Include the indicated list of deltas. All other deltas are omitted. sid-list is a comma-separated list of SCCS delta IDs (SIDs). To specify a range of deltas, use a `-' separator instead of a comma, between two SIDs in the list.

-pSID
    The SID of the oldest delta to be preserved.

FILES

s.COMB
    reconstructed SCCS file

comb?????
    temporary file

ATTRIBUTES

See attributes(5) for descriptions of the following attributes:

SEE ALSO

sccs(1), sccs-admin(1), sccs-cdc(1), sccs-delta(1), sccs-help(1), sccs-prs(1), sccs-prt(1), sccs-rmdel(1), sccs-sccsdiff(1), what(1), sccsfile(4), attributes(5)

DIAGNOSTICS

Use the SCCS help command for explanations (see sccs-help(1)).

BUGS

comb may rearrange the shape of the tree of deltas. It may not save any space; in fact, it is possible for the reconstructed file to actually be larger than the original.